<template>
    <div class="flex items-center justify-between mb-4">
        <Breadcrumb nameRouteHome="admin" textRouteHome="Tổng quan">
            <ItemBreadcrumb isRouteLink nameRoute="admin-user">
                Quản lý người dùng
            </ItemBreadcrumb>
            <ItemBreadcrumb>{{ user?.name }}</ItemBreadcrumb>
        </Breadcrumb>
    </div>
    <div class="card">
        <div class="card-header">
            <h1 class="text-2xl font-semibold">Thông tin chung</h1>
        </div>
        <div class="card-body">
            <div v-if="isLoading" class="text-center">
                <SpinLoading />
            </div>
            <div v-else class="container">
                <div class="flex items-center gap-10">
                    <div class="space-y-2 text-center">
                        <div
                            v-tooltip:bottom="'Avatar'"
                            class="w-32 h-32 mx-auto rounded-full cursor-pointer"
                        >
                            <img
                                :src="require('@/assets/images/avatar.png')"
                                alt="avatar"
                                class="w-full rounded-full"
                            />
                        </div>
                        <div class="text-lg font-semibold">{{ user.name }}</div>
                    </div>
                    <div class="space-y-1">
                        <p>
                            Chức vụ:
                            <span
                                v-if="user.role === ROLE_ADMIN"
                                class="bg-color-danger text-white text-xs font-semibold rounded-2xl px-3 py-1"
                            >
                                Admin
                            </span>
                            <span
                                v-else-if="user.role === ROLE_TEACHER"
                                class="bg-color-primary text-white text-xs font-semibold rounded-2xl px-3 py-1"
                            >
                                Giáo viên
                            </span>
                            <span
                                v-else
                                class="bg-color-success text-white text-xs font-semibold rounded-2xl px-3 py-1"
                            >
                                Học sinh
                            </span>
                        </p>
                        <p>Email: {{ user.email }}</p>
                        <p>Số điện thoại: {{ user.contact }}</p>
                        <p>Ngày sinh: {{ user.birthday }}</p>
                        <p>Địa chỉ: {{ user.city }}</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
import { useRoute } from "vue-router";

import useGetUser from "@/hooks/user/useGetUser";
import { ROLE_ADMIN, ROLE_TEACHER } from "@/constants";

import Breadcrumb from "@/components/breadcrumb/Breadcrumb.vue";
import ItemBreadcrumb from "@/components/breadcrumb/ItemBreadcrumb.vue";
import SpinLoading from "@/components/loading/SpinLoading.vue";

export default {
    components: {
        Breadcrumb,
        ItemBreadcrumb,
        SpinLoading
    },
    setup() {
        const route = useRoute();
        const { isLoading, user, onGetUser } = useGetUser();

        async function getUser() {
            await onGetUser(route.params.userId);
        }

        getUser();

        return { isLoading, user, ROLE_ADMIN, ROLE_TEACHER };
    }
};
</script>
